Update Product Complex Rule

Updates a *Complex Rule*. **Required Fields**: - none **Read-Only Fields**: - complex_rule_id - conditions_id - rule_id - combination_id - id

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

product_idstringRequired
complex_rule_idstringRequired

Request

Common ComplexRule properties.
sort_orderintegerOptional-2147483648-2147483647
The priority to give this rule when making adjustments to the product properties.
enabledbooleanOptional

Flag for determining whether the rule is to be used when adjusting a productʼs price, weight, image, or availabilty.

stopbooleanOptional
Flag for determining whether other rules should not be applied after this rule has been applied.
purchasing_disabledbooleanOptional
Flag for determining whether the rule should disable purchasing of a product when the conditions are applied.
purchasing_disabled_messagestringOptional0-255 characters
Message displayed on the storefront when a rule disables the purchasing of a product.
purchasing_hiddenbooleanOptional
Flag for determining whether the rule should hide purchasing of a product when the conditions are applied.
image_urlstringOptional
The URL for an image displayed on the storefront when the conditions are applied. Limit of 8MB per file.
price_adjusterobjectOptional
Adjuster for Complex Rules.
weight_adjusterobjectOptional
Adjuster for Complex Rules.
conditionslist of objectsOptional

Response

dataobject
Common ComplexRule properties.
metaobject
Response metadata.

Errors

409
Conflict Error
422
Unprocessable Entity Error